/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLCanvasElement_H___INT_
#define __GdomHTMLCanvasElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLCanvasElement.h"
G_BEGIN_DECLS
class GDOMHTMLCanvasElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_CANVAS_ELEMENT; }
    GDOMHTMLCanvasElement(PassRefPtr<WebCore::HTMLCanvasElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLCanvasElement_H___INT_*/
